# flavor

Compute v2

## flavor create

Create new flavor

    openstack flavor create
        [--id <id>]
        [--ram <size-mb>]
        [--disk <size-gb>]
        [--ephemeral <size-gb>]
        [--swap <size-mb>]
        [--vcpus <vcpus>]
        [--rxtx-factor <factor>]
        [--public | --private]
        [--property <key=value>]
        [--project <project>]
        [--description <description>]
        [--project-domain <project-domain>]
        <flavor-name>

--id <id>

  Unique flavor ID

--ram <size-mb>

  Memory size in MB (default 256M)

--disk <size-gb>

  Disk size in GB (default 0G)

--ephemeral <size-gb>

  Ephemeral disk size in GB (default 0G)

--swap <size-mb>

  Additional swap space size in MB (default 0M)

--vcpus <vcpus>

  Number of vcpus (default 1)

--rxtx-factor <factor>

  RX/TX factor (default 1.0)

--public

  Flavor is available to other projects (default)

--private

  Flavor is not available to other projects

--property <key=value>

  Property to add for this flavor (repeat option to set multiple properties)

--project <project>

  Allow <project> to access private flavor (name or ID) (Must be used with –private option)

--description <description>

  Description for the flavor.(Supported by API versions ‘2.55’ - ‘2.latest’

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

flavor-name

  New flavor name

## flavor delete

Delete flavor(s)

    openstack flavor delete <flavor> [<flavor> ...]

flavor

  Flavor(s) to delete (name or ID)

## flavor list

List flavors

    openstack flavor list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--public | --private | --all]
        [--min-disk <min-disk>]
        [--min-ram <min-ram>]
        [--long]
        [--limit <limit>]
        [--marker <marker>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--public

  List only public flavors (default)

--private

  List only private flavors

--all

  List all flavors, whether public or private

--min-disk <min-disk>

  Filters the flavors by a minimum disk space, in GiB.

--min-ram <min-ram>

  Filters the flavors by a minimum RAM, in MiB.

--long

  List additional fields in output

--limit <limit>

  The maximum number of entries to return. If the value exceeds the server-defined maximum, then the maximum value will be used.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

## flavor set

Set flavor properties

    openstack flavor set
        [--no-property]
        [--property <key=value>]
        [--project <project>]
        [--project-domain <project-domain>]
        [--description <description>]
        <flavor>

--no-property

  Remove all properties from this flavor (specify both –no-property and –property to remove the current properties before setting new properties.)

--property <key=value>

  Property to add or modify for this flavor (repeat option to set multiple properties)

--project <project>

  Set flavor access to project (name or ID) (admin only)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--description <description>

  Set description for the flavor.(Supported by API versions ‘2.55’ - ‘2.latest’

flavor

  Flavor to modify (name or ID)

## flavor show

Display flavor details

    openstack flavor show <flavor>

flavor

  Flavor to display (name or ID)

## flavor unset

Unset flavor properties

    openstack flavor unset
        [--property <key>]
        [--project <project>]
        [--project-domain <project-domain>]
        <flavor>

--property <key>

  Property to remove from flavor (repeat option to unset multiple properties)

--project <project>

  Remove flavor access from project (name or ID) (admin only)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

flavor

  Flavor to modify (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.